package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.RelWagaAd;
import org.apache.ibatis.annotations.Mapper;

/** 泵站行政信息关联 Mapper */
@Mapper
public interface RelWagaAdMapper {
    /**
     * 查询泵站行政信息关联列表
     *
     * @param relWagaAd 查询条件
     * @return 泵站行政信息关联列表
     */
    public List<RelWagaAd> selectRelWagaAdList(RelWagaAd relWagaAd);

    /**
     * 通过主键查询泵站行政信息关联
     *
     * @param relWagaAd 查询条件
     * @return 泵站行政信息关联
     */
    public RelWagaAd selectRelWagaAdById(RelWagaAd relWagaAd);

    /**
     * 通过主键删除泵站行政信息关联
     *
     * @param relWagaAd 删除条件
     * @return 影响行数
     */
    public int deleteRelWagaAdById(RelWagaAd relWagaAd);

    /**
     * 修改泵站行政信息关联
     *
     * @param relWagaAd 泵站行政信息关联
     * @return 影响行数
     */
    public int updateRelWagaAd(RelWagaAd relWagaAd);

    /**
     * 新增泵站行政信息关联
     *
     * @param relWagaAd 泵站行政信息关联
     * @return 影响行数
     */
    public int insertRelWagaAd(RelWagaAd relWagaAd);
}
